GeneratorFactory.AbstractXmlFeatureGeneratorFactory (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: GeneratorFactory, class: AbstractXmlFeatureGeneratorFactory

Package opennlp.tools.util.featuregen

# Class GeneratorFactory.AbstractXmlFeatureGeneratorFactory

java.lang.Object
opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory

Direct Known Subclasses:
  `AggregatedFeatureGeneratorFactory`, `BigramNameFeatureGeneratorFactory`, `BrownClusterBigramFeatureGeneratorFactory`, `BrownClusterTokenClassFeatureGeneratorFactory`, `BrownClusterTokenFeatureGeneratorFactory`, `CachedFeatureGeneratorFactory`, `CharacterNgramFeatureGeneratorFactory`, `DefinitionFeatureGeneratorFactory`, `DictionaryFeatureGeneratorFactory`, `DocumentBeginFeatureGeneratorFactory`, `PosTaggerFeatureGeneratorFactory`, `POSTaggerNameFeatureGeneratorFactory`, `PrefixFeatureGeneratorFactory`, `PreviousMapFeatureGeneratorFactory`, `SentenceFeatureGeneratorFactory`, `SuffixFeatureGeneratorFactory`, `TokenClassFeatureGeneratorFactory`, `TokenFeatureGeneratorFactory`, `TokenPatternFeatureGeneratorFactory`, `TrigramNameFeatureGeneratorFactory`, `WindowFeatureGeneratorFactory`, `WordClusterFeatureGeneratorFactory`

Enclosing class:
  `GeneratorFactory`

public abstract static class GeneratorFactory.AbstractXmlFeatureGeneratorFactory extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractXmlFeatureGeneratorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract opennlp.tools.util.featuregen.AdaptiveFeatureGenerator`
  `create()`
  `Map<String,opennlp.tools.util.model.ArtifactSerializer<?>>`
  `getArtifactSerializerMapping()`
  `boolean`
  `getBool(String name)`
  `boolean`
  `getBool(String name, boolean defValue)`
  `double`
  `getDouble(String name)`
  `double`
  `getDouble(String name, double defValue)`
  `float`
  `getFloat(String name)`
  `float`
  `getFloat(String name, float defValue)`
  `int`
  `getInt(String name)`
  `int`
  `getInt(String name, int defValue)`
  `long`
  `getLong(String name)`
  `long`
  `getLong(String name, long defValue)`
  `String`
  `getStr(String name)`
  `String`
  `getStr(String name, String defValue)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractXmlFeatureGeneratorFactory

    public AbstractXmlFeatureGeneratorFactory()

- ## Method Details

  - ### getArtifactSerializerMapping

    public Map<String,opennlp.tools.util.model.ArtifactSerializer<?>> getArtifactSerializerMapping() throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getInt

    public int getInt(String name) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getInt

    public int getInt(String name, int defValue) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getLong

    public long getLong(String name) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getLong

    public long getLong(String name, long defValue) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getFloat

    public float getFloat(String name) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getFloat

    public float getFloat(String name, float defValue) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getDouble

    public double getDouble(String name) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getDouble

    public double getDouble(String name, double defValue) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getStr

    public String getStr(String name) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getStr

    public String getStr(String name, String defValue) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getBool

    public boolean getBool(String name) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### getBool

    public boolean getBool(String name, boolean defValue) throws opennlp.tools.util.InvalidFormatException
    Throws:
      `opennlp.tools.util.InvalidFormatException`

  - ### create

    public abstract opennlp.tools.util.featuregen.AdaptiveFeatureGenerator create() throws opennlp.tools.util.InvalidFormatException
    Returns:
      `null` if the subclass uses `resourceManager` to instantiate.
    Throws:
      `opennlp.tools.util.InvalidFormatException` - Thrown if the format is incorrect.